KintsugiKintsugi
API reference / Get nexus for org

Get nexus for org

GET/v1/nexus

Get a list of all nexuses for the organization.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Query

Every query parameter below is optional. Combine as many as you need and append them to the endpoint as a query string. The example shows a few to get you started.

/v1/nexus?without_pagination=<without_pagination>&disregard_view=<disregard_view>&page=<page>
without_paginationboolean

Return all results without pagination

disregard_viewstring

Filter nexuses by disregard view: 'exposed' or 'disregarded'

status__instring
Available options:APPROACHINGNOT_EXPOSEDPENDING_REGISTRATIONEXPOSEDAPPROACHINGREGISTERED
state_codestring
country_code__instring
order_bystring
Available options:state_codecountry_code
collected_tax_nexus_metboolean
pageinteger
sizeinteger

Response

itemsNexusResponse[]Required
totalintegerRequired
pageintegerRequired
sizeintegerRequired
pagesintegerRequired
200

Successful Response

422

Validation Error

cURL
GET /v1/nexus?without_pagination=false&disregard_view={disregard_view}&page=1
-H "x-api-key: ***"
-H "x-organization-id: ***"
Example request
https://api.trykintsugi.com/v1/nexus?without_pagination=false&disregard_view={disregard_view}&page=1
Response
{
"items": [
{
"processing_status": "NEEDS_RERUN",
"status": "EXPOSED",
"country_code": "AF",
"state_code": "string",
"state_name": "string",
"treatment_of_exempt_transactions": "INCLUDED",
"trigger": "string",
"sales_or_transactions": "EITHER",
"threshold_sales": 0,
"threshold_transactions": 0,
"start_date": "string",
"transaction_count": 0,
"transactions_amount": "0.00",
"previous_transaction_count": 0,
"previous_transactions_amount": "0.00",
"calculated_tax_liability": "0.00",
"imported_tax_liability": "0.00",
"tax_liability": "0.00",
"nexus_met": false,
"nexus_met_date": "string",
"economic_nexus_met": false,
"economic_nexus_met_date": "string",
"physical_nexus_met": false,
"physical_nexus_met_date": "string",
"collected_tax_nexus_met": false,
"collected_tax_nexus_met_date": "string",
"period_model": "CURRENT_OR_PREVIOUS",
"period_start_date": "string",
"period_end_date": "string",
"previous_period_start_date": "string",
"previous_period_end_date": "string",
"earliest_transaction_date": "string",
"most_recent_transaction_date": "string",
"find_threshold_crossing_transaction_state": {
"last_txn_id": "string",
"last_txn_datetime": "string",
"period_start_date": "string",
"period_end_date": "string",
"running_sales_total_decimal": "string",
"running_transaction_count": 0,
"has_all_marketplace_transactions": true
},
"earliest_collected_date": "2018-01-01T00:00:00",
"predicted_month_from_today": 0,
"vda_eligible": false,
"confidence_level": 0,
"last_processed_at": "string",
"last_tax_liability_processed_at": "string",
"periods": [
null
],
"currency": "AED",
"id": "string",
"created_at": "string",
"updated_at": "string",
"organization_id": "string",
"registration": null,
"registration_regime": "STANDARD",
"disregarded_at": "string",
"disregarded_by": "string",
"disregarded_nexus_types": [
"string"
],
"is_currently_disregarded": false,
"is_vda_eligible": true,
"nexus_type": "CANADA_FEDERAL",
"total_transactions": 0,
"total_transactions_included": 0,
"total_transactions_exempted": 0,
"total_transactions_marketplace": 0,
"marketplace_included": true
}
],
"total": 0,
"page": 0,
"size": 0,
"pages": 0
}